Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.examples.heatbugs
Class HeatCell

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.HostCell
                          org.eclipse.amp.examples.heatbugs.HeatCell

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class HeatCell

extends HostCell

Heat Cell Java Implementation. Generated by AMF for model: Heatbugs.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary
`static Rule` | `DIFFUSE_RULE`

Fields inherited from class org.ascape.model.HostCell
`IS_AVAILABLE, IS_OCCUPIED, occupant`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`HeatCell()` Constructs a new Heat Cell.

Method Summary
`void` | `calculateTimeStep(int timeStep)`
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`java.util.List<IAgentChild>` | `getChildren()`
`double` | `getHeat()` Gets the Heat property for Heat Cell.
`Heatbugs` | `getHeatbugs()`
`java.lang.String` | `getName()`
`long` | `getUID()`
`void` | `setHeat(double _heat)` Sets the Heat property for Heat Cell.
`void` | `startSimulationAgentChild(int timeStep)`
`void` | `watchHeat()` Watch for changes in Heat.

Methods inherited from class org.ascape.model.HostCell
`findAvailableNeighbors, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNeighboringOccupants, findOccupantsWithin, findOccupantsWithin, findOccupantsWithin, findRandomAvailableNeighbor, getColor, getOccupant, isAvailable, isNeighborAvailable, removeOccupant, setNeighborsList, setOccupant`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findNeighbors, findOccupants, findRandomNeighbor, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, hostedCondition, initialize, playNeighbors, playRandomNeighbor, setNeighbors, setNetwork, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findNearest, findNearest, findNearest, findNearest, findNearest, findWithin, findWithin, findWithin, findWithin, getAgentSize, getCoordinate, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveAway, moveTo, moveToRandomLocation, moveToward, moveToward, moveToward, randomWalk, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, die, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, getCoordinate, isDelete, markForDeletion, setCoordinate`

Field Detail

### DIFFUSE_RULE

    public static final Rule DIFFUSE_RULE

Constructor Detail

### HeatCell

    public HeatCell()

  Constructs a new Heat Cell.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `HostCell`
  Returns:
    the object

### getHeatbugs

    public Heatbugs getHeatbugs()

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### watchHeat

    public void watchHeat()

  Watch for changes in Heat.

### getHeat

    public double getHeat()

  Gets the Heat property for Heat Cell.

  Returns:

### setHeat

    public void setHeat(double _heat)

  Sets the Heat property for Heat Cell.

  Parameters:
    `_heat` - the new Heat value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD